---
title: List Pipelines
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Pipelines](https://developers.cloudflare.com/api/go/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Pipelines

client.Pipelines.ListV1(ctx, params) (\*V4PagePaginationArray\[[PipelineListV1Response](<https://developers.cloudflare.com/api/go/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/pipelines/v1/pipelines

List/Filter Pipelines in Account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write``Pipelines Read`

##### ParametersExpand Collapse

<details>

<summary>

params PipelineListV1Params

</summary>

AccountID param.Field\[string]

Path param: Specifies the public ID of the account.

<a href="#(resource)%20pipelines%20%3E%20(method)%20list_v1%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Name param.Field\[string]Optional

Query param: Filters pipelines by name (case-insensitive substring).

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(method)%20list_v1%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Page param.Field\[float64]Optional

Query param

<a href="#(resource)%20pipelines%20%3E%20(method)%20list_v1%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param

<a href="#(resource)%20pipelines%20%3E%20(method)%20list_v1%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20list_v1%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PipelineListV1Response struct{…}

</summary>

ID string

Indicates a unique identifier for this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

ModifiedAt string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

Indicates the name of the Pipeline.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Sql string

Specifies SQL for the Pipeline processing flow.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20sql">Link to this property</a>

Status string

Indicates the current status of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20PipelineListV1Response%20%3E%20(schema)>)

### List Pipelines

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Pipelines.ListV1(context.TODO(), pipelines.PipelineListV1Params{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
```